all
Report
all
Get All Reports
This endpoint retrieves a list of reports with pagination.
Request
-
Method: GET
-
URL: /reports/all
-
Query Parameters:
-
page (number, required): The page number for pagination.
-
limit (number, required): The maximum number of reports to be returned per page.
-
Response
The response will be a JSON object with the following schema:
{
"data": {
"reports": {
"docs": [
{
"_id": "string",
"review": "string",
"reporter": {
"_id": "string",
"firstName": "string",
"lastName": "string",
"userName": "string",
"email": "string",
"role": "string",
"createdAt": "string",
"updatedAt": "string",
"__v": 0
},
"reason": "string",
"isResolved": true,
"createdAt": "string",
"updatedAt": "string",
"__v": 0
}
],
"totalDocs": 0,
"offset": 0,
"limit": 0,
"totalPages": 0,
"page": 0,
"pagingCounter": 0,
"hasPrevPage": true,
"hasNextPage": true,
"prevPage": null,
"nextPage": null
},
"error": null
}
}
GET
all